Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface SlotType1

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SlotType1Impl

    public interface SlotType1

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Slot Type1'.

The following features are supported:

- `Value List`
- `Name`
- `Slot Type`

See Also:
  `RimPackage.getSlotType1()`

Method Summary
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` | `getSlotType()` Returns the value of the 'Slot Type' attribute.
`ValueListType` | `getValueList()` Returns the value of the 'Value List' containment reference.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` | `setSlotType(java.lang.String value)` Sets the value of the '`Slot Type`' attribute.
`void` | `setValueList(ValueListType value)` Sets the value of the '`Value List`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValueList

    ValueListType getValueList()

  Returns the value of the 'Value List' containment reference.

  If the meaning of the 'Value List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value List' containment reference.
  See Also:
    `setValueList(ValueListType)`, `RimPackage.getSlotType1_ValueList()`

### setValueList

    void setValueList(ValueListType value)

  Sets the value of the '`Value List`' containment reference.

  Parameters:
    `value` - the new value of the 'Value List' containment reference.
  See Also:
    `getValueList()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `RimPackage.getSlotType1_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getSlotType

    java.lang.String getSlotType()

  Returns the value of the 'Slot Type' attribute.

  If the meaning of the 'Slot Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot Type' attribute.
  See Also:
    `setSlotType(String)`, `RimPackage.getSlotType1_SlotType()`

### setSlotType

    void setSlotType(java.lang.String value)

  Sets the value of the '`Slot Type`' attribute.

  Parameters:
    `value` - the new value of the 'Slot Type' attribute.
  See Also:
    `getSlotType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD